| Version: 3.3.1

Public Member Functions | List of all members
wxTaskBarJumpListCategory Class Reference
Class List by Category » Miscellaneous

`#include <wx/taskbarbutton.h>`

## Detailed Description

This class represents a category of jump list in the taskbar button.

There are four kinds of categories in Windows: Recent, Frequent, Tasks and custom.

##

Library: wxCore
Category: Miscellaneous
Availability: only available for the wxMSW port.

See also
  wxTaskBarJumpList, wxTaskBarJumpListItem

Since
  3.1.0

## Public Member Functions
| wxTaskBarJumpListCategory (wxTaskBarJumpList *parent=nullptr, const wxString &title=wxEmptyString)
| Constructs the jump list category. More...
virtual | ~wxTaskBarJumpListCategory ()
wxTaskBarJumpListItem * | Append (wxTaskBarJumpListItem *item)
| Appends a jump list item. More...
void | Delete (wxTaskBarJumpListItem *item)
| Deletes the jump list item from the category. More...
wxTaskBarJumpListItem * | Remove (wxTaskBarJumpListItem *item)
| Removes the jump list item from the category but doesn't delete the associated C++ object. More...
wxTaskBarJumpListItem * | FindItemByPosition (size_t pos) const
| Returns the wxTaskBarJumpListItem given a position in the category. More...
wxTaskBarJumpListItem * | Insert (size_t pos, wxTaskBarJumpListItem *item)
| Inserts the given item before the position pos. More...
wxTaskBarJumpListItem * | Prepend (wxTaskBarJumpListItem *item)
| Inserts the given item at position 0, i.e. More...
void | SetTitle (const wxString &title)
| Sets the title of the category. More...
const wxString & | GetTitle () const
| Gets the title of the category. More...
const wxTaskBarJumpListItems & | GetItems () const
| Gets the jump list items of the category. More...

## Constructor & Destructor Documentation

## ◆ wxTaskBarJumpListCategory()

wxTaskBarJumpListCategory::wxTaskBarJumpListCategory | ( | wxTaskBarJumpList * | parent = `nullptr`,
|  | const wxString & | title = `wxEmptyString`
| ) |  |

Constructs the jump list category.

Parameters

  parent | Jump list that the jump list category belongs to. Can be nullptr if the category is going to be added to the jump list later.
  title | The title of the category.

## ◆ ~wxTaskBarJumpListCategory()

virtual wxTaskBarJumpListCategory::~wxTaskBarJumpListCategory | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ Append()

wxTaskBarJumpListItem* wxTaskBarJumpListCategory::Append | ( | wxTaskBarJumpListItem * | item | ) |

Appends a jump list item.

Parameters

  item | The jump list item to be appended. It will be owned by the wxTaskBarJumpListCategory object after this function is called, so do not delete it yourself.

See also
  Insert(), Prepend()

## ◆ Delete()

void wxTaskBarJumpListCategory::Delete | ( | wxTaskBarJumpListItem * | item | ) |

Deletes the jump list item from the category.

Parameters

  item | The jump list item to be deleted.

See also
  Remove()

## ◆ FindItemByPosition()

wxTaskBarJumpListItem* wxTaskBarJumpListCategory::FindItemByPosition | ( | size_t | pos | ) | const

Returns the wxTaskBarJumpListItem given a position in the category.

## ◆ GetItems()

const wxTaskBarJumpListItems& wxTaskBarJumpListCategory::GetItems | ( |  | ) | const

Gets the jump list items of the category.

## ◆ GetTitle()

const wxString& wxTaskBarJumpListCategory::GetTitle | ( |  | ) | const

Gets the title of the category.

## ◆ Insert()

wxTaskBarJumpListItem* wxTaskBarJumpListCategory::Insert | ( | size_t | pos,
|  | wxTaskBarJumpListItem * | item
| ) |  |

Inserts the given item before the position pos.

See also
  Append(), Prepend()

## ◆ Prepend()

wxTaskBarJumpListItem* wxTaskBarJumpListCategory::Prepend | ( | wxTaskBarJumpListItem * | item | ) |

Inserts the given item at position 0, i.e.

before all the other existing items.

See also
  Append(), Insert();

## ◆ Remove()

wxTaskBarJumpListItem* wxTaskBarJumpListCategory::Remove | ( | wxTaskBarJumpListItem * | item | ) |

Removes the jump list item from the category but doesn't delete the associated C++ object.

Parameters

  item | The jump list item to be removed.

## ◆ SetTitle()

void wxTaskBarJumpListCategory::SetTitle | ( | const wxString & | title | ) |

Sets the title of the category.